* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  align-content: center;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  font-family: "Vazirmatn";
  color: white;
  background-color: rgb(63, 63, 63);
  width: 100vw;
  height: 100vh;
  margin: auto;
  /* border: 10px solid;
  border-radius: 20px; */
}

main {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  color: white;
  background-color: rgb(62, 62, 62);
  border: 5px solid white;
  border-radius: 60px;
  width: 700px;
  min-height: 30vh;
  gap: 1vh;
}

h1 {
  font-size: 40px;
}

/*📍inputField styling -------------------------*/

.inputField {
  /*includes input, add and reset button*/
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2vw;
  width: 100%;
  flex-direction: row;
}

input {
  width: 60%;
  height: 50px;
  background-color: rgb(62, 62, 62);
  border-radius: 10px;
  font-size: 20px;
  border: 2px solid white;
  color: white;
  text-align: center;
}

.reseticon {
  width: 32px;
  height: 32px;
}

.reseticon:hover {
  stroke: rgb(67, 110, 250);
}

.addicon {
  width: 36px;
  height: 36px;
}

.addicon:hover {
  stroke: rgb(61, 216, 0);
}

/*📍added cards syling --------------------------*/

#savedbooks {
  /*cards holder*/
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  justify-content: center;
  gap: 10px;
  width: 100%;
  margin-bottom: 15px;
}

.addedcards {
  /*each single card style*/
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
  width: 60%;
  height: 50px;
  background-color: rgb(62, 62, 62);
  border: solid 2px white;
  border-radius: 10px;
}

.cardsname {
  font-size: 20px;
  text-align: center;
  margin: auto;
}

.trashcan {
  width: 26px;
  height: 26px;
  color: rgba(180, 180, 180, 0.158);
  margin-right: 10px;
}

.trashcan:hover {
  color: red;
}
